%define product		validation
%define version		1.3.0.11
%define release		1mdk

%define zope_minver	2.7

%define zope_home	%{_libdir}/zope
%define software_home	%{zope_home}/lib/python

Summary:	Some generic validators originaly defined for Archetypes
Name:		zope-%{product}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source:		http://belnet.dl.sourceforge.net/sourceforge/archetypes/validation-1.3.0-11.tar.bz2
URL:		http://plone.org/documentation/archetypes
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}

%description
Some generic validators originaly defined for Archetypes

%prep
%setup -c

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*


%changelog
* Thu Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3.0.11-1mdk
- initial contrib
